const crypto = require('crypto');

function generateSimulatedHash(difficulty) {
    let data;

    if (difficulty === 'gentil') {
        data = crypto.randomBytes(1).toString('hex'); // Mode gentil (faible complexité)
    } else if (difficulty === 'normal') {
        data = crypto.randomBytes(3).toString('hex'); // Mode normal (moyenne complexité)
    } else if (difficulty === 'agressif') {
        data = crypto.randomBytes(5).toString('hex'); // Mode agressif (haute complexité)
    }

    console.log(`Data généré: ${data}`);
    const hash = crypto.createHash('md5').update(data).digest('hex');
    return hash;
}

function sendHashToSlave(hash, client) {
    client.send("search " + hash + " a 9999999999");
}

module.exports = {
    generateSimulatedHash,
    sendHashToSlave
};